//==========================================================
// light grey high fog for the outside area
// 
//==========================================================
textures/ztn/greyfog1_ztn
{
	qer_editorimage textures/sfx/fog_timdm1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0.47 0.471 0.47 ) 640
}

//==========================================================
// dark yellow low laying fog
// 
//==========================================================
textures/ztn/yellowfog1_ztn
{
	qer_editorimage textures/sfx/fog_timdm1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0.75 0.38 0 ) 256
}

//==========================================================
// red hellfog
// surfacelight 1000
//==========================================================
textures/ztn/redfog1_ztn_1k
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 1000
	q3map_lightsubdivide 32
	fogparms ( .5 .12 .1 ) 225
}

//==========================================================
// the sky
// 
//==========================================================
textures/ztn/ztnsky1_s3
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	1 1 0.5 85 220 40
	// yellow lightimage fer removing that ugly-ass blue ambient
	q3map_lightimage textures/skies/intelredclouds.tga
	q3map_surfacelight 120

	qer_editorimage textures/ztn/bluesky1.tga

	skyparms - 512 -
	{
		map textures/ztn/bluesky2.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/ztn/bluesky1.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

//==========================================================
// yellow flame, surface light 100
// 
//==========================================================
textures/ztn/yellowflame
{	
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 100
	qer_editorimage textures/sfx/flame1.tga
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

//==========================================================
// hot boiling lava. ooh the pain!
// surfacelight 600
//==========================================================
textures/ztn/lava_600
{
	qer_editorimage textures/ztn/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/ztn/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

//==========================================================
// hot boiling lava. ooh the pain!
// now with surfacelight 2000!
//==========================================================
textures/ztn/lava_2000
{
	qer_editorimage textures/ztn/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 2000
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/ztn/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

//==========================================================
// a rusty grate, can be seen thru
// 
//==========================================================
textures/ztn/rustygrate1
{
	qer_editorimage	textures/ztn/grate1.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/ztn/grate1.tga
		tcMod scale 2.0 2.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

//==========================================================
// bouncepad with surfacelight 500
// bojong
//==========================================================
textures/ztn/bouncepad2
{
	qer_editorimage textures/ztn/smdetail01.tga
	surfaceparm nodamage
	q3map_lightimage textures/ztn/bouncepad_sfx2.tga
	q3map_surfacelight 500
	{
		map textures/ztn/smdetail01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ztn/bouncepad_lights2.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/ztn/bouncepad_sfx2.tga
		blendfunc GL_ONE GL_ONE
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

//==========================================================
// bouncepad lights
// surfacelight 1500
//==========================================================
textures/ztn/border11light
{
	q3map_lightimage textures/ztn/border11light-blend.tga
	q3map_surfacelight 1500	
	surfaceparm nomarks

	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/border11light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/border11light-blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 1.5	
	}
}

//==========================================================
// red bricks with flaming savage 2000 text
// 
//==========================================================
textures/ztn/savagebrik1
{
	qer_editorimage	textures/ztn/savbrik_base.tga
	{
		map textures/ztn/firegorre.tga
            tcMod scroll 0 1
		rgbGen identity
	}
	{
		map textures/ztn/savbrik_base.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

//==========================================================
// stained glass with a reflection sfx
// 
//==========================================================
textures/ztn/st_glass02
{
	cull		none
	surfaceparm 	alphashadow
	{
		map textures/ztn/st_glass02.tga
		rgbGen identity
	}
	{
		map textures/ztn/st_glass_rfx.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
	{
		map textures/ztn/st_glass02.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

//==========================================================
// stained glass with a reflection sfx
// 
//==========================================================
textures/ztn/st_glass01
{
	cull 		none
	surfaceparm 	alphashadow
	{
		map textures/ztn/st_glass01.tga
		rgbGen identity
	}
	{
		map textures/ztn/st_glass_rfx.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
	{
		map textures/ztn/st_glass01.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

//==========================================================
// pale rust with a chrome effect
// 
//==========================================================
textures/ztn/palerust_chrome
{
	qer_editorimage textures/ztn/palerust.tga

	{
		map textures/ztn/chrome-fx.tga
		tcmod scale 1.2 1.2
		tcGen environment
		rgbGen identity
	}
	
	{
		map textures/ztn/palerust.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

//==========================================================
// round gothic light with surfacelight 1000
// 
//==========================================================
textures/ztn/gothic_light_red_1k
{
	qer_editorimage textures/ztn/light2.tga
	q3map_lightimage textures/ztn/light2-blend.tga
	q3map_surfacelight 1000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/light2-blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

//==========================================================
// round gothic light with surfacelight 2000
// 
//==========================================================
textures/ztn/gothic_light_red_2k
{
	qer_editorimage textures/ztn/light2.tga
	q3map_lightimage textures/ztn/light2-blend.tga
	q3map_surfacelight 2000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/light2-blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

//==========================================================
// round gothic light with surfacelight 7000
// 
//==========================================================
textures/ztn/gothic_light_red_7k
{
	qer_editorimage textures/ztn/light2.tga
	q3map_lightimage textures/ztn/light2-blend.tga
	q3map_surfacelight 7000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/light2-blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

//==========================================================
// gothic light with surfacelight 1000
// 
//==========================================================
textures/ztn/gothic_light_1k
{
	qer_editorimage textures/ztn/smlight01.tga
	q3map_lightimage textures/ztn/smlight01-blend.tga
	q3map_surfacelight 1000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/smlight01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/smlight01-blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

//==========================================================
// gothic light with surfacelight 3000
// 
//==========================================================
textures/ztn/gothic_light_3k
{
	qer_editorimage textures/ztn/smlight01.tga
	q3map_lightimage textures/ztn/smlight01-blend.tga
	q3map_surfacelight 3000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/smlight01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/smlight01-blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

//==========================================================
// gothic light with surfacelight 10,000
// 
//==========================================================
textures/ztn/gothic_light_10k
{
	qer_editorimage textures/ztn/smlight01.tga
	q3map_lightimage textures/ztn/smlight01-blend.tga
	q3map_surfacelight 10000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/smlight01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/smlight01-blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}


//==========================================================
// eye-like gothic light with surfacelight 1000
// 
//==========================================================
textures/ztn/gothic_light_eye_1k
{
	qer_editorimage textures/ztn/smlight02.tga
	q3map_lightimage textures/ztn/smlight02-blend.tga
	q3map_surfacelight 1000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/smlight02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/smlight02-blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

//==========================================================
// liver-like gothic light with surfacelight 3000
// 
//==========================================================
textures/ztn/gothic_light_eye_3k
{
	qer_editorimage textures/ztn/smlight02.tga
	q3map_lightimage textures/ztn/smlight02-blend.tga
	q3map_surfacelight 3000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/smlight02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/smlight02-blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

//==========================================================
// lung-like gothic light with surfacelight 10,000
// 
//==========================================================
textures/ztn/gothic_light_eye_10k
{
	qer_editorimage textures/ztn/smlight02.tga
	q3map_lightimage textures/ztn/smlight02-blend.tga
	q3map_surfacelight 10000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/smlight02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/smlight02-blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

//==========================================================
// small spotlight with surfacelight 2000
// 
//==========================================================
textures/ztn/small_light_2k
{
	qer_editorimage textures/ztn/small_light.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/small_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/small_light-blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//==========================================================
// small spotlight with surfacelight 10,000
// 
//==========================================================
textures/ztn/small_light_10k
{
	qer_editorimage textures/ztn/small_light.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/small_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/small_light-blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//==========================================================
// small spotlight with surfacelight 20,000
// 
//==========================================================
textures/ztn/small_light_20k
{
	qer_editorimage textures/ztn/small_light.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/small_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/small_light-blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//==========================================================
// small spotlight with surfacelight 30,000
// 
//==========================================================
textures/ztn/small_light_30k
{
	qer_editorimage textures/ztn/small_light.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ztn/small_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ztn/small_light-blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
